Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
PluginInfo Class Reference

`#include <OpenFlipper/Core/PluginInfo.hh>`

## Public Types
enum | StatusType { LOADED = 0, BLOCKED, UNLOADED, FAILED }
| current status of the plugin

## Public Member Functions
| PluginInfo (const PluginInfo &_i)

## Public Attributes
QObject * | plugin
| Pointer to the loaded plugin (Already casted when loading it)
QString | name
| Name of the plugin ( requested from the plugin on load)
QString | description
| Description of the plugin ( requested from the plugin on load)
QString | version
| Version of the plugin.
QString | path
| Path to the plugin ( set on load )
QString | rpcName
| Clean rpc name of the plugin.
QStringList | rpcFunctions
| List of exported rpc slots.
QList< SlotInfo > | slotInfos
| This list contains Descriptions about public slots if available.
QList< KeyBinding > | keys
| List of registered keys with description.
std::vector< std::pair < QString, QWidget * > > | toolboxWidgets
| Pointer to plugins toolbox widget (if available)
std::vector< std::pair < QString, QWidget * > > | headerAreaWidgets
| Pointer to plugins header area widgets (if available)
std::vector< QIcon * > | toolboxIcons
| Pointer to plugins toolbox widget icons (if available)
std::vector< std::pair < QString, QToolBar * > > | toolbars
| Pointer to plugins toolbars (if available)
std::vector< std::pair < QString, QAction * > > | contextMenus
| Pointer to plugins context menus (if available)
QWidget * | optionsWidget
| Pointer to plugins options widget (if available)
bool | buildIn
| Indicates, if the plugin is a built in Plugin (in Plugin directory)
enum PluginInfo::StatusType | status

## Detailed Description

Type defining a currently loaded Plugin

Definition at line 77 of file PluginInfo.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/Core/PluginInfo.hh